# Read an automation.

> https://koi.dog/docs/api/automations/get-automation/

`GET /api/v1/automations/{id}` · Scope: `read`

No query parameters.

## Path parameters.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | `string` | yes | The automation's id. |

## Response.

200 OK: a JSON object. The example has placeholder values.

## Request.

```sh
curl "https://app.koi.dog/api/v1/automations/$ID" \
    -H "Authorization: Bearer $KOIDOG_API_KEY"
```

```js
const res = await fetch(`https://app.koi.dog/api/v1/automations/${process.env.ID}`, {
  headers: {
    Authorization: `Bearer ${process.env.KOIDOG_API_KEY}`,
  },
});
console.log(await res.json());
```

```python
import os

import requests

r = requests.get(
    f"https://app.koi.dog/api/v1/automations/{os.environ['ID']}",
    headers={
        "Authorization": f"Bearer {os.environ['KOIDOG_API_KEY']}",
    },
)
r.raise_for_status()
print(r.json())
```

## Response example.

```json
{
  "id": "string",
  "name": "string",
  "description": "string",
  "projectId": "string",
  "kind": "schedule",
  "state": "active",
  "disabledReason": "string",
  "disabledAt": "string",
  "launch": {
    "projectId": "string",
    "goal": "string",
    "mode": "direct",
    "requestedSize": 0,
    "tasks": [],
    "repeatGoal": false,
    …
  },
  "schedule": {
  },
  "trigger": {
  },
  "inputs": { … },
  "guards": {
    "maxRunsPerDay": 0,
    "overlap": "skip",
    "disableAfterFailures": 0,
    "missedWindowMinutes": 0,
    "maxInputChars": 0
  },
  "nextRunAt": "string",
  …
}
```
